// Name of the project
name := "SI-8376_2.11.0-RC1_ambiguous_reference"

// Project version
version := "1.0.0"

// Version of Scala used by the project
scalaVersion := "2.11.0-RC1"

resolvers += "Sonatype OSS Snapshots" at "https://oss.sonatype.org/content/repositories/snapshots"

scalacOptions ++= Seq("-unchecked", "-deprecation", "–explaintypes", "–Xlint")

// Add dependency on JavaFX library based on JAVA_HOME variable
unmanagedJars in Compile += Attributed.blank(file(System.getenv("JAVA_HOME") + "/jre/lib/jfxrt.jar"))

// Fork a new JVM for 'run' and 'test:run', to avoid JavaFX double initialization problems
fork := true
